
# koffice version to Obsolete
%define koffice_ver 3:2.3.70

%define postgresql 1
%if 0%{?fedora}
%define libkdcraw 1
%define marble 1
%define okular 1
%define pstoedit 1
%if 0%{?fedora} > 20
%define visio 1
%define wpd 1
%endif
%endif
%if 0%{?rhel}
%ifnarch ppc64
%define libkdcraw 1
%define okular 1
%endif
%endif

# trim changelog included in binary rpms
%global _changelog_trimtime %(date +%s -d "1 year ago")

Name:    calligra 
Version: 2.9.10
Release: 2%{?dist}
Summary: An integrated office suite

License: GPLv2+ and LGPLv2+
URL:     http://www.calligra-suite.org/
%global revision %(echo %{version} | cut -d. -f3)
%if %{revision} >= 50
%global stable unstable
%else
%global stable stable
%endif
Source0: http://download.kde.org/%{stable}/calligra-%{version}/calligra-%{version}.tar.xz

# support disabling products we don't package yet
# fedora lacks mpxj runtime dep for plan import filter, omit until available
Patch2: calligra-2.9.0-disable_products.patch
%if 0%{?fedora} > 22
%global libwps libwps-0.4
%else
%global libwps libwps-0.3
%endif
Patch3: 0001-adapt-to-libwps-0.4.patch

## upstream patches

## upstreamable patches

BuildRequires: boost-devel
BuildRequires: bzip2-devel bzip2
BuildRequires: desktop-file-utils
BuildRequires: doxygen
%if 0%{?fedora} > 19
BuildRequires: libappstream-glib
%endif
BuildRequires: pkgconfig(eigen3)
BuildRequires: pkgconfig(exiv2) 
BuildRequires: pkgconfig(fftw3)
BuildRequires: pkgconfig(fontconfig)
BuildRequires: freeglut-devel
BuildRequires: gettext-devel
BuildRequires: giflib-devel
BuildRequires: pkgconfig(glew)
BuildRequires: pkgconfig(GraphicsMagick)
BuildRequires: pkgconfig(gsl) 
BuildRequires: kdelibs4-devel
BuildRequires: kdepimlibs-devel
BuildRequires: pkgconfig(QtGui) 
BuildRequires: pkgconfig(QtWebKit)
BuildRequires: pkgconfig(lcms2)
BuildRequires: pkgconfig(gl) pkgconfig(glu) 
# kactivities-6.1+, part of kde-4.10+
BuildRequires: pkgconfig(libkactivities)
BuildRequires: libjpeg-devel
%if 0%{?marble}
BuildRequires: marble-widget-devel
%endif
%if 0%{?wpd}
%if 0%{?visio}
BuildRequires: pkgconfig(libvisio-0.1)
%endif
BuildRequires: pkgconfig(libetonyek-0.1)
BuildRequires: pkgconfig(libodfgen-0.1)
BuildRequires: pkgconfig(librevenge-0.0)
BuildRequires: pkgconfig(libwpd-0.10)
BuildRequires: pkgconfig(libwpg-0.3)
BuildRequires: pkgconfig(%{libwps})
%endif
BuildRequires: pkgconfig(OpenColorIO)
BuildRequires: pkgconfig(poppler-qt4)
BuildRequires: pkgconfig(libpng)
BuildRequires: libicu-devel
BuildRequires: libspnav-devel
BuildRequires: libtiff-devel
BuildRequires: pkgconfig(libxslt)
# kexi
BuildRequires: freetds-devel
%if 0%{?postgresql}
BuildRequires: pkgconfig(libpqxx) >= 3.0
%endif
BuildRequires: mysql-devel
BuildRequires: pkgconfig(glib-2.0)
BuildRequires: pkgconfig(OpenEXR)
BuildRequires: openjpeg-devel
BuildRequires: perl
BuildRequires: pkgconfig(poppler-qt4)
BuildRequires: pkgconfig(qca2)
BuildRequires: readline-devel
BuildRequires: pkgconfig(sqlite3)
# not detected, doesn't work, some xbase vs xbase64 differences ? -- rex
#BuildRequires: xbase-devel

#-- The following OPTIONAL packages could NOT be located on your system.
#-- Consider installing them to enable more features from this software.
#   * Vc  <http://code.compeng.uni-frankfurt.de/projects/vc>
#     Portable, zero-overhead SIMD library for C++
#     Required by the Krita for vectorization
#   * XBase  <http://linux.techass.com/projects/xdb>
#     XBase compatible C++ class library
#     Required by Kexi XBase driver
#   * Cauchy's M2MML  <https://bitbucket.org/cyrille/cauchy>
#     Matlab/Octave to MathML compiler
#     Required for the matlab/octave formula tool

Obsoletes: koffice < %{koffice_ver} 
Obsoletes: koffice-suite < %{koffice_ver}

Requires:  %{name}-author = %{version}-%{release}
Requires:  %{name}-braindump = %{version}-%{release}
Requires:  %{name}-words = %{version}-%{release} 
Requires:  %{name}-sheets = %{version}-%{release} 
Requires:  %{name}-stage = %{version}-%{release}
Requires:  %{name}-flow = %{version}-%{release}
Requires:  %{name}-karbon = %{version}-%{release}
Requires:  %{name}-krita = %{version}-%{release}
Requires:  %{name}-kexi = %{version}-%{release}
Requires:  %{name}-kexi-driver-mysql = %{version}-%{release}
%if 0%{?postgresql}
Requires:  %{name}-kexi-driver-postgresql = %{version}-%{release}
%endif
Requires:  %{name}-kexi-driver-sybase = %{version}-%{release}
Requires:  %{name}-plan = %{version}-%{release}
%if 0%{?okular}
Requires:  %{name}-okular-odpgenerator = %{version}-%{release}
Requires:  %{name}-okular-odtgenerator = %{version}-%{release}
%endif
%if 0%{?marble}
Requires:  %{name}-reports-map-element = %{version}-%{release}
Requires:  %{name}-kexi-map-form-widget = %{version}-%{release}
%endif
Requires:  %{name}-qtquick = %{version}-%{release}

%description
%{summary}.

%package core
Summary:  Core support files for %{name} 
Obsoletes: koffice-core < %{koffice_ver}
Obsoletes: koffice-filters < %{koffice_ver}
Obsoletes: calligra-filters < 2.3.86-3
Provides:  calligra-filters = %{version}-%{release} 
Obsoletes: %{name}-kformula < 2.4.0
Obsoletes: %{name}-kformula-libs < 2.4.0
Obsoletes: %{name}-map-shape < %{version}-%{release}
%if ! 0%{?marble}
Obsoletes: %{name}-reports-map-element < %{version}-%{release}
Obsoletes: %{name}-kexi-map-form-widget < %{version}-%{release}
%endif
# required to help yum-langpacks work
# make this versioned?  -- rex
Requires: calligra-l10n
%if 0%{?external_lilypond_fonts}
Requires: lilypond-emmentaler-fonts
%endif
# formulashape fonts
Requires: lyx-fonts
Requires: %{name}-libs%{?_isa} = %{version}-%{release}
Requires: kde-runtime
%description core
%{summary}.

%package libs
Summary: Runtime libraries for %{name} 
Obsoletes: koffice-libs < %{koffice_ver}
Requires: %{name}-kdchart%{?_isa} = %{version}-%{release}
%{?_qt4_version:Requires: qt4%{?_isa} >= %{_qt4_version}}
%description libs
%{summary}.

%package devel
Summary:  Libraries needed for %{name} development
Obsoletes: koffice-devel < 3:2.3.70
Requires: %{name}-libs%{?_isa} = %{version}-%{release}
Requires: kdelibs4-devel
%description devel
%{summary}.

%package  kdchart
Summary:  Runtime libraries for kdchart
License:  GPLv2 or GPLv3
Obsoletes: koffice-kdchart < 3:2.3.70
%description kdchart
%{summary}.

%package  kdchart-devel
Summary:  Libraries needed for kdchart development
License:  GPLv2 or GPLv3
Obsoletes: koffice-kdchart-devel < 3:2.3.70
Provides: kdchart-devel = 0.0
Requires: %{name}-kdchart%{?_isa} = %{version}-%{release}
Requires: qt4-devel
%description kdchart-devel
%{summary}.

%package  author
Summary:  A specialized tool for serious authors
Requires: %{name}-core = %{version}-%{release}
Requires: %{name}-words
%description author
Calligra Author is a specialized tool for serious writers aiming to become
what Krita is for painters. The application will support a writer in the
process of creating an eBook from concept to publication. We have two user
categories in particular in mind:
* Novelists who produce long texts with complicated plots involving many
  characters and scenes but with limited formatting.
* Textbook authors who want to take advantage of the added possibilities
  in eBooks compared to paper-based textbooks.

%package  braindump
Summary:  Notes and idea gathering
Requires: %{name}-core = %{version}-%{release}
Requires: %{name}-braindump-libs%{?_isa} = %{version}-%{release}
%description braindump
%{summary}.

%package  braindump-libs
Summary:  Runtime libraries for %{name}-braindump
Requires: %{name}-braindump = %{version}-%{release}
%description braindump-libs
%{summary}.

%package reports-map-element
Summary: Map element for Calligra Reports
Requires: %{name}-core = %{version}-%{release}
Requires: marble-part
%description reports-map-element
%{summary}.

%package  words
Summary:  An intuitive word processor application with desktop publishing features
Obsoletes: koffice-kword < %{koffice_ver}
Obsoletes: koffice-kword-libs < %{koffice_ver}
Requires: %{name}-core = %{version}-%{release}
Requires: %{name}-words-libs%{?_isa} = %{version}-%{release}
%description words
KWord is an intuitive word processor and desktop publisher application.
With it, you can create informative and attractive documents with
pleasure and ease.

%package  words-libs
Summary:  Runtime libraries for %{name}-words
Requires: %{name}-words = %{version}-%{release}
%description words-libs
%{summary}.

%package  sheets 
Summary:  A fully-featured spreadsheet application
Obsoletes: koffice-kspread < %{koffice_ver}
Obsoletes: koffice-kspread-libs < %{koffice_ver}
Obsoletes: calligra-tables < 2.3.92
Provides:  calligra-tables = %{version}-%{release}
Requires: %{name}-core = %{version}-%{release}
%description sheets 
Tables is a fully-featured calculation and spreadsheet tool.  Use it to
quickly create and calculate various business-related spreadsheets, such
as income and expenditure, employee working hours…

%package  sheets-libs
Summary:  Runtime libraries for %{name}-sheets
Obsoletes: calligra-tables-libs < 2.3.92
Requires: %{name}-sheets = %{version}-%{release}
%description sheets-libs
%{summary}.

%package  stage 
Summary:  A full-featured presentation program
Obsoletes: koffice-kpresenter < %{koffice_ver}
Obsoletes: koffice-kpresenter-libs < %{koffice_ver}
Requires: %{name}-core = %{version}-%{release}
Requires: %{name}-stage-libs%{?_isa} = %{version}-%{release}
# when -libs was introduced
%description stage 
Stage is a powerful and easy to use presentation application. You
can dazzle your audience with stunning slides containing images, videos,
animation and more.

%package  stage-libs
Summary:  Runtime libraries for %{name}-stage
Requires: %{name}-stage = %{version}-%{release}
%description stage-libs
%{summary}.

%package  flow 
Summary:  A diagramming and flowcharting application
Requires: %{name}-core = %{version}-%{release}
Requires: %{name}-flow-libs%{?_isa} = %{version}-%{release}
%description flow 
Flow is an easy to use diagramming and flowcharting application with
tight integration to the other KOffice applications. It enables you to
create network diagrams, organisation charts, flowcharts and more.

%package  flow-libs
Summary:  Runtime libraries for %{name}-flow
Requires: %{name}-flow = %{version}-%{release}
%description flow-libs
%{summary}.

%package  karbon
Summary:  A vector drawing application
Obsoletes: koffice-karbon < %{koffice_ver}
Obsoletes: koffice-karbon-libs < %{koffice_ver}
Requires: %{name}-core = %{version}-%{release}
Requires: %{name}-karbon-libs%{?_isa} = %{version}-%{release}
%if 0%{?pstoedit}
# for karbon eps import filter
BuildRequires: pstoedit
Requires: pstoedit
%endif
%description karbon
Karbon is a vector drawing application with an user interface that is
easy to use, highly customizable and extensible. That makes Karbon a
great application for users starting to explore the world of vector
graphics as well as for artists wanting to create breathtaking vector
art.

Whether you want to create clipart, logos, illustrations or photorealistic
vector images – look no further, Karbon is the tool for you!

%package  karbon-libs
Summary:  Runtime libraries for %{name}-karbon
Requires: %{name}-karbon = %{version}-%{release}
%description karbon-libs
%{summary}.

%package  krita
Summary:  A creative sketching and painting application 
%if 0%{?libkdcraw}
# krita_raw_import filter
BuildRequires: libkdcraw-devel
%endif
Obsoletes: koffice-krita < %{koffice_ver}
Obsoletes: koffice-krita-libs < %{koffice_ver}
Requires: %{name}-core = %{version}-%{release}
Requires: %{name}-krita-libs%{?_isa} = %{version}-%{release}
# fix old multilib mishaps
Obsoletes: koffice-krita < 3:2.3
# to make bundled scripts work
#Requires: kross(javascript) kross(python) kross(ruby)
%description krita
Krita is a creative sketching and painting application based on KOffice 
technology. Whether you want to create art paintings, cartoons, concept
art or textures, Krita supports most graphics tablets out of the box.
Krita’s vision statement is:
* Krita is a KDE program for sketching and painting, offering an end–to–end
  solution for creating digital painting files from scratch by masters.
* Fields of painting that Krita explicitly supports are concept art,
  creation of comics and textures for rendering.
* Modelled on existing real-world painting materials and workflows,
  Krita supports creative working by getting out of the way and with
  snappy response.

%package  krita-libs
Summary:  Runtime libraries for %{name}-krita
Requires: %{name}-krita = %{version}-%{release}
%description krita-libs
%{summary}.

%package  kexi
Summary:  An integrated environment for managing data
Obsoletes: koffice-kexi < %{koffice_ver}
Obsoletes: koffice-kexi-libs < %{koffice_ver}
Requires: %{name}-core = %{version}-%{release}
Requires: %{name}-kexi-libs%{?_isa} = %{version}-%{release}
%description kexi
Kexi is an integrated data management application.  It can be used for
creating database schemas, inserting data, performing queries, and
processing data. Forms can be created to provide a custom interface to
your data. All database objects – tables, queries and forms – are
stored in the database, making it easy to share data and design.

For additional database drivers take a look at %{name}-kexi-driver-*

%package  kexi-libs
Summary:  Runtime libraries for %{name}-kexi
Requires: %{name}-kexi = %{version}-%{release}
# libkexiextendedwidgets links libktexteditor (which needs kate4-part), see also:
# https://bugzilla.redhat.com/show_bug.cgi?id=1213229
# https://bugs.kde.org/show_bug.cgi?id=346373
%if 0%{?fedora}
Requires: kate4-part%{?_isa}
%else
# rhel
Requires: kate-part%{?_isa}
%endif
%description kexi-libs
%{summary}.

%package  kexi-driver-mysql
Summary:  Mysqwl driver for kexi
Obsoletes: koffice-kexi-driver-mysql < %{koffice_ver}
Requires: %{name}-kexi = %{version}-%{release}
%description kexi-driver-mysql
%{summary}.

%package  kexi-driver-postgresql
Summary:  Postgresql driver for kexi
Obsoletes: koffice-kexi-driver-pgsql < %{koffice_ver}
Obsoletes: calligra-kexi-driver-pgsql < 2.3.86-2 
Provides:  calligra-kexi-driver-pgsql = %{version}-%{release}
Requires: %{name}-kexi = %{version}-%{release}
%description kexi-driver-postgresql
%{summary}.

%package  kexi-driver-sybase
Summary:  Sybase driver for kexi
Requires: %{name}-kexi = %{version}-%{release}
%description kexi-driver-sybase
%{summary}.

%package  kexi-driver-xbase
Summary:  XBase driver for kexi
Requires: %{name}-kexi = %{version}-%{release}
%description kexi-driver-xbase
%{summary}.

%package  kexi-map-form-widget
Summary: Kexi map form widget
Requires: %{name}-kexi = %{version}-%{release}
%description kexi-map-form-widget
%{summary}.

%package kexi-spreadsheet-import
Summary: Spreadsheet-to-Kexi-table import plugin
Requires: %{name}-sheets-libs%{?_isa} = %{version}-%{release}
%description kexi-spreadsheet-import
%{summary}.

%package  plan 
Summary:  A project planner
Obsoletes: koffice-kplato < %{koffice_ver}
Obsoletes: koffice-kplato-libs < %{koffice_ver}
Requires: %{name}-core = %{version}-%{release}
Requires: %{name}-plan-libs%{?_isa} = %{version}-%{release}
%if 0%{?mpxj}
BuildRequires: java-devel
Requires: apache-poi
#Requires: apache-mpxj
%endif
%description plan 
Plan is a project management application. It is intended for managing
moderately large projects with multiple resources.

%package  plan-libs
Summary:  Runtime libraries for %{name}-plan
Requires: %{name}-plan = %{version}-%{release}
%description plan-libs
%{summary}.

%if 0%{?okular}
%package  okular-odpgenerator
Summary:  OpenDocument presenter support for okular
Obsoletes: koffice-okular-odpgenerator < %{koffice_ver}
BuildRequires: okular-devel
Requires: %{name}-stage = %{version}-%{release}
Requires: okular-part
%description okular-odpgenerator
%{summary}.

%package  okular-odtgenerator
Summary:  OpenDocument text support for okular
BuildRequires: okular-devel
Requires: %{name}-words = %{version}-%{release}
Requires: okular-part
%description okular-odtgenerator
%{summary}.
%endif

%package  qtquick
Summary:  QtQuick Plugin that provides Calligra components
Requires: %{name}-stage-libs = %{version}-%{release}
Requires: %{name}-words-libs = %{version}-%{release}
%description qtquick
%{summary}.

%package semanticitems
Summary: RDF support
Requires: %{name}-core = %{version}-%{release}
%description semanticitems
%{summary}.


%prep
%setup -q

%patch2 -p1 -b .disable_products
%if "%{?libwps}" == "libwps-0.4"
%patch3 -p1 -b .libwps-0.4
%endif

## kdchart munging begin
pushd 3rdparty/kdchart
mv src kdchart
sed -i.kdchart_fix -e 's|../src/||' kdchart/Ternary/KDChartTernaryAxis.cpp
sed -i.kdchart_fix -e 's|add_subdirectory(src)|add_subdirectory(kdchart)|' CMakeLists.txt
mv include include.kdchart_fix && cp -a include.kdchart_fix include/
sed -i -e 's|../src|../kdchart|' include/*
popd
## kdchart munging end

## disable krita gemini/sketch too, not ready
sed -i \
  -e 's|add_subdirectory(sketch)|#add_subdirectory(sketch)|g' \
  -e 's|add_subdirectory(gemini)|#add_subdirectory(gemini)|g' \
  krita/CMakeLists.txt


%build
mkdir %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}

## kdchart munging begin
pushd 3rdparty/kdchart
mkdir -p %{buildroot}%{_includedir}/KDChart
install -m644 -p include/* %{buildroot}%{_includedir}/KDChart/
for inc_dir in kdchart kdchart/LeveyJennings kdchart/PrerenderedElements kdchart/Scenery kdchart/Ternary ; do
mkdir -p %{buildroot}%{_includedir}/${inc_dir}
install -m644 -p ${inc_dir}/*.h %{buildroot}%{_includedir}/${inc_dir}/
rm -f %{buildroot}%{_includedir}/${inc_dir}/*_p.h
done
popd
ln -s libcalligrakdchart.so %{buildroot}%{_kde4_libdir}/libkdchart.so
## kdchart munging end

## unpackaged files
# fonts
%if 0%{?external_lilypond_fonts}
rm -fv %{buildroot}%{_kde4_appsdir}/musicshape/fonts/Emmentaler-14.ttf
%endif
rm -fv %{buildroot}%{_kde4_appsdir}/formulashape/fonts/Arev*.ttf
rm -fv %{buildroot}%{_kde4_appsdir}/formulashape/fonts/cmex10.ttf
# extraneous stuff we don't want in -devel
rm -fv %{buildroot}%{_kde4_libdir}/lib*common.so
rm -fv %{buildroot}%{_kde4_libdir}/libcalligrakdgantt.so
rm -fv %{buildroot}%{_kde4_libdir}/lib*filters.so
rm -fv %{buildroot}%{_kde4_libdir}/lib*private.so
rm -fv %{buildroot}%{_kde4_libdir}/libcalligradb.so
rm -fv %{buildroot}%{_kde4_libdir}/libchartshapelib.so
rm -fv %{buildroot}%{_kde4_libdir}/libkarbon*.so
rm -fv %{buildroot}%{_kde4_libdir}/libkexi*.so
rm -fv %{buildroot}%{_kde4_libdir}/libkisexiv2.so
rm -fv %{buildroot}%{_kde4_libdir}/libkformula.so
rm -fv %{buildroot}%{_kde4_libdir}/libko{chart,kross,msooxml,plugin,property,report,textlayout,vectorimage,version,wmf,wv2}.so
rm -fv %{buildroot}%{_kde4_libdir}/libkrita{color,image,libbrush,libpaintop,ui}.so
rm -fv %{buildroot}%{_kde4_libdir}/libkross*.so
rm -fv %{buildroot}%{_kde4_libdir}/libkplato*.so
rm -fv %{buildroot}%{_kde4_libdir}/libtablesodf.so
rm -fv %{buildroot}%{_kde4_libdir}/libkwmf.so
rm -fv %{buildroot}%{_kde4_libdir}/libkrita{global,psd}.so
rm -fv %{buildroot}%{_kde4_libdir}/libplanwork{app,factory}.so
rm -fv %{buildroot}%{_kde4_libdir}/librcps_plan.so
rm -fv %{buildroot}%{_kde4_libdir}/libRtfReader.so
%if ! 0%{?kchart}
rm -fv %{buildroot}%{_kde4_libdir}/libkchartcommon.so.*
rm -fv %{buildroot}%{_kde4_libdir}/kde4/*kchart*.*
rm -rfv %{buildroot}%{_kde4_appsdir}/kchart/
rm -rfv %{buildroot}%{_kde4_docdir}/HTML/en/kchart/
rm -fv %{buildroot}%{_kde4_datadir}/kde4/services/kchart*.desktop
%endif
# fedora already has shared-mime-info >= 0.6 that includes image/openraster
rm -fv %{buildroot}%{_kde4_datadir}/mime/packages/krita_ora.xml


%check
for appdata_file in %{buildroot}%{_kde4_datadir}/appdata/*.appdata.xml ; do
appstream-util validate-relax --nonet ${appdata_file} ||:
done
for desktop_file in %{buildroot}%{_kde4_datadir}/applications/kde4/*.desktop ; do
desktop-file-validate ${desktop_file}  ||:
done


%files 
#empty metapackage

%post core
touch --no-create %{_kde4_iconsdir}/hicolor &> /dev/null || :
touch --no-create %{_kde4_iconsdir}/oxygen &> /dev/null || :
touch --no-create %{_kde4_datadir}/mime ||:

%posttrans core
gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &> /dev/null || :
gtk-update-icon-cache %{_kde4_iconsdir}/oxygen &> /dev/null || :
update-desktop-database -q &> /dev/null ||:
update-mime-database %{?fedora:-n} %{_kde4_datadir}/mime &> /dev/null || :

%postun core
if [ $1 -eq 0 ] ; then
touch --no-create %{_kde4_iconsdir}/hicolor &> /dev/null || :
touch --no-create %{_kde4_iconsdir}/oxygen &> /dev/null || :
gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &> /dev/null || :
gtk-update-icon-cache %{_kde4_iconsdir}/oxygen &> /dev/null || :
update-desktop-database -q &> /dev/null ||:
touch --no-create %{_kde4_datadir}/mime ||:
update-mime-database %{?fedora:-n} %{_kde4_datadir}/mime &> /dev/null || :
fi

%files core
%doc AUTHORS COPYING COPYING.LIB README
%{_kde4_bindir}/calligra
%{_kde4_docdir}/HTML/en/calligra/
%{_kde4_bindir}/calligraconverter
%{_kde4_libdir}/kde4/calligra_textediting_autocorrect.so
%{_kde4_libdir}/kde4/calligra_tool_basicflakes.so
%{_kde4_libdir}/kde4/calligradocinfopropspage.so
%{_kde4_libdir}/kde4/calligraimagethumbnail.so
%{_kde4_libdir}/kde4/calligra_textediting_changecase.so
%{_kde4_libdir}/kde4/calligra_tool_defaults.so
%{_kde4_libdir}/kde4/calligra_docker_defaults.so
%{_kde4_libdir}/kde4/calligrathumbnail.so
%{_kde4_libdir}/kde4/kopabackgroundtool.*
%{_kde4_libdir}/kde4/kolcmsengine.*
%{_kde4_libdir}/kde4/koreport_barcodeplugin.so
%{_kde4_libdir}/kde4/koreport_chartplugin.so
%{_kde4_libdir}/kde4/koreport_webplugin.so
%dir %{_kde4_datadir}/kde4/services/calligra/
%dir %{_kde4_datadir}/kde4/services/ServiceMenus/calligra/
%{_kde4_datadir}/kde4/services/calligra/koreport_barcodeplugin.desktop
%{_kde4_datadir}/kde4/services/calligra/koreport_chartplugin.desktop
%{_kde4_datadir}/kde4/services/calligra/koreport_webplugin.desktop
%{_kde4_libdir}/kde4/calligra_textediting_spellcheck.so
%{_kde4_libdir}/kde4/calligra_textinlineobject_variables.so
%{_kde4_libdir}/kde4/calligra_textediting_thesaurus.so
%{_kde4_libdir}/kde4/calligra_shape_artistictext.so
%{_kde4_libdir}/kde4/calligra_shape_chart.so
%{_kde4_libdir}/kde4/calligra_shape_formular.so
%{_kde4_libdir}/kde4/calligra_shape_music.so
%{_kde4_libdir}/kde4/calligra_shape_picture.so
%{_kde4_libdir}/kde4/calligra_shape_plugin.so
%{_kde4_libdir}/kde4/calligra_device_spacenavigator.so
%{_kde4_libdir}/kde4/calligra_shape_spreadsheet.so
%{_kde4_libdir}/kde4/calligra_shape_text.so
%{_kde4_libdir}/kde4/calligra_shape_vector.so
%{_kde4_libdir}/kde4/calligra_shape_video.so
%dir %{_kde4_libdir}/calligra/
%{_kde4_appsdir}/calligra/
%{_kde4_appsdir}/koproperty/
%{_datadir}/mime/packages/msooxml-all.xml
%{_datadir}/mime/packages/calligra_svm.xml
%{_datadir}/mime/packages/krita*.xml
%{_datadir}/mime/packages/wiki-format.xml
%{_kde4_iconsdir}/hicolor/*/*/*
%{_kde4_iconsdir}/oxygen/*/*/*
%{_kde4_datadir}/applications/kde4/calligra.desktop
%{_kde4_datadir}/kde4/servicetypes/kopa_tool.desktop
%dir %{_kde4_datadir}/kde4/services/calligra
%{_kde4_datadir}/kde4/services/calligra/calligra_textediting_autocorrect.desktop
%{_kde4_datadir}/kde4/services/calligra/calligra_tool_basicflakes.desktop
%{_kde4_datadir}/kde4/services/calligra_odg_thumbnail.desktop
%{_kde4_datadir}/kde4/services/calligra/calligradocinfopropspage.desktop
%{_kde4_datadir}/kde4/services/calligra/calligra_docker_defaults.desktop
%{_kde4_datadir}/kde4/services/calligra/calligrastageeventactions.desktop
%{_kde4_datadir}/kde4/services/calligra/calligrastagetoolanimation.desktop
%{_kde4_datadir}/kde4/services/calligra/calligra_textediting_changecase.desktop
%{_kde4_datadir}/kde4/services/calligra/calligra_tool_defaults.desktop
%{_kde4_datadir}/kde4/services/calligra/kolcmsengine.desktop
%{_kde4_datadir}/kde4/services/calligra/kopabackgroundtool.desktop
%{_kde4_datadir}/kde4/services/calligra/calligra_device_spacenavigator.desktop
%{_kde4_datadir}/kde4/services/calligra/calligra_textediting_spellcheck.desktop
%{_kde4_datadir}/kde4/services/calligra/calligra_textinlineobject_variables.desktop
%{_kde4_datadir}/kde4/services/calligra/calligra_textediting_thesaurus.desktop
%{_kde4_datadir}/kde4/servicetypes/calligra_application.desktop
%{_kde4_datadir}/kde4/servicetypes/calligra_deferred_plugin.desktop
%{_kde4_datadir}/kde4/servicetypes/calligra_filter.desktop
%{_kde4_datadir}/kde4/servicetypes/calligra_part.desktop
%{_kde4_datadir}/kde4/servicetypes/calligradocker.desktop
%{_kde4_datadir}/kde4/servicetypes/filtereffect.desktop
%{_kde4_datadir}/kde4/servicetypes/inlinetextobject.desktop
%{_kde4_datadir}/kde4/servicetypes/koreport_itemplugin.desktop
%{_kde4_datadir}/kde4/servicetypes/texteditingplugin.desktop
%{_kde4_datadir}/kde4/servicetypes/widgetfactory.desktop
%{_kde4_libdir}/kde4/calligra_filter_pdf2svg.so
%{_kde4_datadir}/kde4/services/calligra/calligra_filter_pdf2svg.desktop
%{_kde4_datadir}/kde4/services/calligra/calligra_shape_artistictext.desktop
%{_kde4_datadir}/kde4/services/calligra/calligra_shape_chart.desktop
%{_kde4_datadir}/kde4/services/calligra/kformulapart.desktop
%{_kde4_datadir}/kde4/services/calligra/calligra_shape_formular.desktop
%{_kde4_datadir}/kde4/services/calligra/calligra_shape_music.desktop
%{_kde4_datadir}/kde4/services/calligra/calligra_shape_picture.desktop
%{_kde4_datadir}/kde4/services/calligra/calligra_shape_plugin.desktop
%{_kde4_datadir}/kde4/services/calligra/calligra_shape_spreadsheet.desktop
%{_kde4_datadir}/kde4/services/calligra/calligra_shape_text.desktop
%{_kde4_datadir}/kde4/services/calligra/calligra_shape_vector.desktop
%{_kde4_datadir}/kde4/services/calligra/calligra_shape_video.desktop
%{_kde4_appsdir}/formulashape/
%{_kde4_appsdir}/musicshape/
%{_kde4_datadir}/kde4/servicetypes/pigment*.desktop
%{_kde4_libdir}/kde4/calligra_shape_paths.so
%{_kde4_datadir}/kde4/services/calligra/calligra_shape_paths.desktop

%post libs -p /sbin/ldconfig
%postun libs -p /sbin/ldconfig

%files libs
%{_kde4_datadir}/kde4/servicetypes/flake*.desktop
%{_kde4_libdir}/libbasicflakes.so.*
%{_kde4_datadir}/kde4/servicetypes/calligradb_driver.desktop
%{_kde4_libdir}/libcalligradb.so.*
%{_kde4_libdir}/libflake.so.*
%{_kde4_libdir}/libkokross.so.*
%{_kde4_libdir}/libkomain.so.*
%{_kde4_libdir}/libkoodf.so.*
%{_kde4_libdir}/libkoodf2.so.*
%{_kde4_libdir}/libkoodfreader.so.*
%{_kde4_libdir}/libkordf.so.*
%{_kde4_libdir}/libkopageapp.so.*
%{_kde4_libdir}/libkoproperty.so.*
%{_kde4_libdir}/libkoplugin.so.*
%{_kde4_libdir}/libkoreport.so.*
%{_kde4_libdir}/libkotext.so.*
%{_kde4_libdir}/libkowidgets.so.*
%{_kde4_libdir}/libkowidgetutils.so.*
%{_kde4_libdir}/libkowv2.so.9*
%{_kde4_libdir}/libkformula.so.*
%{_kde4_libdir}/libkundo2.so.*
%{_kde4_libdir}/libkomsooxml.so.*
%{_kde4_libdir}/libpigmentcms.so.*
%{_kde4_libdir}/libRtfReader.so.*
%{_kde4_libdir}/libkotextlayout.so.*
%{_kde4_libdir}/libkovectorimage.so.*
%{_kde4_libdir}/libkoversion.so.*

%files devel
%{_kde4_appsdir}/cmake/modules/FindCalligraLibs.cmake
%{_kde4_includedir}/calligra/
%{_kde4_libdir}/libbasicflakes.so
%{_kde4_libdir}/libflake.so
%{_kde4_libdir}/libkomain.so
%{_kde4_libdir}/libkoodf.so
%{_kde4_libdir}/libkoodf2.so
%{_kde4_libdir}/libkoodfreader.so
%{_kde4_libdir}/libkordf.so
%{_kde4_libdir}/libkopageapp.so
%{_kde4_libdir}/libkotext.so
%{_kde4_libdir}/libkowidgets.so
%{_kde4_libdir}/libkowidgetutils.so
%{_kde4_libdir}/libkundo2.so
%{_kde4_libdir}/libpigmentcms.so
#{_kde4_includedir}/kexi/
%{_kde4_libdir}/libkformdesigner.so
%{_kde4_includedir}/krita/
%{_kde4_includedir}/stage/
%{_kde4_includedir}/sheets/
%{_kde4_includedir}/words/

%post kdchart -p /sbin/ldconfig
%postun kdchart -p /sbin/ldconfig

%files kdchart
%{_kde4_libdir}/libcalligrakdchart.so.14*

%files kdchart-devel
%{_kde4_libdir}/libcalligrakdchart.so
# compat lib symlink
%{_kde4_libdir}/libkdchart.so
%{_includedir}/kdchart
%{_includedir}/KDChart/

%posttrans author
update-desktop-database -q &> /dev/null ||:

%postun author
if [ $1 -eq 0 ] ; then
update-desktop-database -q &> /dev/null ||:
fi

%files author
%{_kde4_bindir}/calligraauthor
%{_kde4_libdir}/kde4/authorpart.so
%{_kde4_libdir}/libkdeinit4_calligraauthor.so
%{_kde4_datadir}/applications/kde4/author.desktop
%{_kde4_datadir}/config/authorrc
%{_kde4_appsdir}/author/
%{_kde4_datadir}/kde4/services/calligra/authorpart.desktop

%posttrans braindump
update-desktop-database -q &> /dev/null ||:

%postun braindump
if [ $1 -eq 0 ] ; then
update-desktop-database -q &> /dev/null ||:
fi

%files braindump
%{_kde4_bindir}/braindump
%{_kde4_datadir}/appdata/braindump.appdata.xml
%{_kde4_datadir}/applications/kde4/braindump.desktop
%{_kde4_appsdir}/braindump/
%{_kde4_datadir}/kde4/servicetypes/braindump_extensions.desktop
%{_kde4_libdir}/kde4/braindump_shape_state.so
%{_kde4_libdir}/kde4/braindump_shape_web.so
%{_kde4_appsdir}/stateshape/
%{_kde4_datadir}/kde4/services/calligra/braindump_shape_state.desktop
%{_kde4_datadir}/kde4/services/calligra/braindump_shape_web.desktop

%post braindump-libs -p /sbin/ldconfig
%postun braindump-libs -p /sbin/ldconfig

%files braindump-libs
%{_kde4_libdir}/libbraindumpcore.so.*

%if 0%{?marble}
%files reports-map-element
%{_kde4_libdir}/kde4/koreport_mapsplugin.so
%{_kde4_datadir}/kde4/services/calligra/koreport_mapsplugin.desktop
%endif

%posttrans sheets 
update-desktop-database -q &> /dev/null ||:

%postun sheets 
if [ $1 -eq 0 ] ; then
update-desktop-database -q &> /dev/null ||:
fi

%files sheets 
%{_kde4_bindir}/calligrasheets
%{_kde4_libdir}/libkdeinit4_calligrasheets.so
%{_kde4_libdir}/libcalligrasheetsodf.so
%{_kde4_libdir}/kde4/calligrasheets*.so
%{_kde4_libdir}/kde4/krossmodulesheets.so
%{_kde4_libdir}/kde4/kspread*module.so
%{_kde4_libdir}/kde4/calligra_filter_*sheets*.so
%{_kde4_libdir}/kde4/calligra_filter_*kspread*.so
%{_kde4_libdir}/kde4/calligra_filter_xls*.so
%{_kde4_datadir}/kde4/services/sheets_*_thumbnail.desktop
%{_kde4_datadir}/kde4/services/calligra/calligra_filter_*kspread*.desktop
%{_kde4_datadir}/kde4/services/calligra/calligra_filter_xls*.desktop
%{_kde4_libdir}/kde4/kspread_plugin_tool_calendar.so
%{_kde4_libdir}/kde4/sheetssolver.so
%{_kde4_libdir}/kde4/calligra_shape_spreadsheet-deferred.so
%{_kde4_appsdir}/sheets/
%{_kde4_configdir}/sheetsrc
%{_kde4_datadir}/config.kcfg/sheets.kcfg
%{_kde4_datadir}/kde4/services/calligra/krossmodulesheets.desktop
%{_kde4_datadir}/kde4/services/calligra/kspread_plugin_tool_calendar.desktop
%{_kde4_datadir}/kde4/services/calligra/kspread*module.desktop
%{_kde4_datadir}/kde4/services/calligra/calligra_filter_*sheets*.desktop
%{_kde4_datadir}/kde4/services/calligra/calligra_shape_spreadsheet-deferred.desktop
%{_kde4_datadir}/kde4/services/calligra/sheetspart.desktop
%{_kde4_datadir}/kde4/servicetypes/sheets_plugin.desktop
%{_kde4_datadir}/kde4/servicetypes/sheets_viewplugin.desktop
%{_kde4_datadir}/kde4/services/calligra/sheetsscripting.desktop
%{_kde4_datadir}/kde4/services/calligra/sheetssolver.desktop
%{_kde4_datadir}/templates/SpreadSheet.desktop
%{_kde4_datadir}/templates/.source/SpreadSheet.ods
%{_kde4_datadir}/appdata/sheets.appdata.xml
%{_kde4_datadir}/applications/kde4/sheets.desktop
%{_kde4_datadir}/kde4/services/ServiceMenus/calligra/sheets_print.desktop
%{_kde4_docdir}/HTML/en/sheets/

%post sheets-libs -p /sbin/ldconfig
%postun sheets-libs -p /sbin/ldconfig

%files sheets-libs
%{_libdir}/libcalligrasheetscommon.so.*
%{_libdir}/libcalligrasheetsodf.so.*

%posttrans stage
update-desktop-database -q &> /dev/null ||:
%if 0%{?wpd}
update-mime-database %{_datadir}/mime >& /dev/null
%endif

%postun stage
if [ $1 -eq 0 ] ; then
update-desktop-database -q &> /dev/null ||:
%if 0%{?wpd}
update-mime-database %{_datadir}/mime >& /dev/null
%endif
fi

%files stage 
%doc stage/AUTHORS stage/CHANGES
%{_kde4_bindir}/calligrastage
%{_kde4_libdir}/libkdeinit4_calligrastage.so
%{_kde4_libdir}/kde4/*stage*.*
%{_kde4_libdir}/kde4/kpr_pageeffect_*.so
%{_kde4_libdir}/kde4/kpr_shapeanimation_*.so
%{_kde4_libdir}/kde4/calligra_filter_kpr2odp.so
%{_kde4_libdir}/kde4/calligra_filter_ppt2odp.so
%{_kde4_libdir}/kde4/calligra_filter_pptx2odp.so
%if 0%{?wpd}
%{_kde4_libdir}/kde4/calligra_filter_key2odp.so
%{_kde4_datadir}/kde4/services/calligra/calligra_filter_key2odp.desktop
%{_kde4_datadir}/mime/packages/x-iwork-keynote-sffkey.xml
%endif
%{_kde4_datadir}/kde4/services/calligra/calligra_filter_kpr2odp.desktop
%{_kde4_datadir}/kde4/services/calligra/calligra_filter_ppt2odp.desktop
%{_kde4_datadir}/kde4/services/calligra/calligra_filter_pptx2odp.desktop
%{_kde4_appsdir}/stage/
%{_kde4_configdir}/stagerc
%{_kde4_docdir}/HTML/en/stage/
%{_kde4_datadir}/kde4/services/calligra/kpr*.desktop
%{_kde4_datadir}/kde4/services/stage_*_thumbnail.desktop
%{_kde4_datadir}/kde4/servicetypes/kpr*.desktop
%{_kde4_datadir}/kde4/servicetypes/presentationeventaction.desktop
%{_kde4_datadir}/kde4/servicetypes/scripteventaction.desktop
%{_kde4_datadir}/templates/Presentation.desktop
%{_kde4_datadir}/templates/.source/Presentation.odp
%{_kde4_datadir}/appdata/stage.appdata.xml
%{_kde4_datadir}/applications/kde4/*stage.desktop
%{_kde4_datadir}/kde4/services/calligra/stagepart.desktop
%{_kde4_datadir}/kde4/services/ServiceMenus/calligra/stage_print.desktop

%post stage-libs -p /sbin/ldconfig
%postun stage-libs -p /sbin/ldconfig

%files stage-libs
%{_kde4_libdir}/libcalligrastageprivate.so.*
%{_kde4_libdir}/kde4/kprvariables.*

%posttrans karbon
update-desktop-database -q &> /dev/null ||:

%postun karbon
if [ $1 -eq 0 ] ; then
update-desktop-database -q &> /dev/null ||:
fi

%files karbon
%{_kde4_bindir}/karbon
%{_kde4_configdir}/karbonrc
%{_kde4_libdir}/libkdeinit4_karbon.so
%{_kde4_libdir}/kde4/*karbon*.*
%{_kde4_appsdir}/karbon/
%{_kde4_datadir}/kde4/services/calligra/karbon*
%{_kde4_datadir}/kde4/services/calligra/calligra_filter_*karbon*.desktop
%{_kde4_datadir}/kde4/servicetypes/karbon_dock.desktop
%{_kde4_datadir}/kde4/servicetypes/karbon_viewplugin.desktop
%if 0%{?pstoedit}
%{_kde4_libdir}/kde4/calligra_filter_eps2svgai.so
%{_kde4_datadir}/kde4/services/calligra/calligra_filter_eps2svgai.desktop
%endif
%{_kde4_libdir}/kde4/calligra_filter_wmf2svg.so
%{_kde4_libdir}/kde4/calligra_filter_xfig2odg.so
%{_kde4_datadir}/kde4/services/calligra/calligra_filter_wmf2svg.desktop
%{_kde4_datadir}/kde4/services/calligra/calligra_filter_xfig2odg.desktop
%{_kde4_datadir}/kde4/services/karbon_*_thumbnail.desktop
%{_kde4_datadir}/templates/Illustration.desktop
%{_kde4_datadir}/templates/.source/Illustration.odg
%{_kde4_datadir}/appdata/karbon.appdata.xml
%{_kde4_datadir}/applications/kde4/*karbon.desktop
%{_kde4_datadir}/kde4/services/ServiceMenus/calligra/karbon_print.desktop

%post karbon-libs -p /sbin/ldconfig
%postun karbon-libs -p /sbin/ldconfig

%files karbon-libs
%{_kde4_libdir}/libkarboncommon.so.*
%{_kde4_libdir}/libkarbonui.so.*

%posttrans krita
update-desktop-database -q &> /dev/null ||:

%postun krita
if [ $1 -eq 0 ] ; then
update-desktop-database -q &> /dev/null ||:
fi

%files krita
%doc krita/AUTHORS krita/ChangeLog krita/README
%{_kde4_bindir}/krita
%{_kde4_bindir}/gmicparser
%{_kde4_configdir}/kritarc
%{_kde4_libdir}/kde4/*krita*.*
%{_kde4_appsdir}/color-schemes/Krita*.colors
%{_kde4_appsdir}/krita/
%{_kde4_appsdir}/kritaanimation/
%{_kde4_appsdir}/kritagemini/
%{_kde4_appsdir}/kritasketch/
%{_kde4_configdir}/krita*.knsrc
%{_kde4_datadir}/kde4/services/calligra/krita*.desktop
%{_kde4_datadir}/kde4/services/krita_*_thumbnail.desktop
%{_kde4_datadir}/kde4/servicetypes/krita*.desktop
%{_kde4_datadir}/applications/kde4/*krita*.desktop
%{_kde4_appsdir}/kritaplugins/
%{_datadir}/color/icc/krita/
%{_kde4_datadir}/kde4/services/ServiceMenus/calligra/krita_print.desktop
%{_datadir}/appdata/krita.appdata.xml
%if 0
%{_kde4_bindir}/kritagemini
%{_kde4_appsdir}/kritagemini/
%{_kde4_configdir}/kritagemini*
%dir %{_kde4_libdir}/calligra/imports/org/krita/
%{_kde4_libdir}/calligra/imports/org/krita/draganddrop/
%{_kde4_bindir}/kritasketch
%{_kde4_appsdir}/kritasketch/
%{_kde4_configdir}/kritasketch*
%{_kde4_libdir}/calligra/imports/org/krita/sketch/
%endif

%post krita-libs -p /sbin/ldconfig
%postun krita-libs -p /sbin/ldconfig

%files krita-libs
%{_kde4_libdir}/libkritaglobal.so.*
%{_kde4_libdir}/libkritacolor.so.*
%{_kde4_libdir}/libkritapsd.so.*
# unversioned
%{_kde4_libdir}/libkritacolord.so
%{_kde4_libdir}/libkritaimage.so.*
%{_kde4_libdir}/libkritalibbrush.so.*
%{_kde4_libdir}/libkritalibpaintop.so.*
%{_kde4_libdir}/libkritaui.so.*
%{_kde4_libdir}/kde4/plugins/imageformats/kimg_kra.so
%{_kde4_libdir}/kde4/plugins/imageformats/kimg_ora.so
%{_kde4_datadir}/kde4/services/qimageioplugins/kra.desktop
%{_kde4_datadir}/kde4/services/qimageioplugins/ora.desktop

%posttrans kexi
update-desktop-database -q &> /dev/null ||:

%postun kexi
if [ $1 -eq 0 ] ; then
update-desktop-database -q &> /dev/null ||:
fi

%files kexi
%doc kexi/CHANGES kexi/README
%{_kde4_appsdir}/kexi/
%{_kde4_bindir}/kexi*
%{_kde4_libdir}/kde4/kformdesigner_containers.so
%{_kde4_libdir}/kde4/kformdesigner_kexidbwidgets.so
%{_kde4_libdir}/kde4/kformdesigner_stdwidgets.so
%{_kde4_libdir}/kde4/kformdesigner_webbrowser.so
%{_kde4_libdir}/kde4/kexihandler_*.*
%{_kde4_libdir}/kde4/krossmodulekexidb.so
%{_kde4_libdir}/kde4/kexidb_sqlite3driver.so
%{_kde4_libdir}/kde4/kexidb_sqlite3_icu.so
%{_kde4_libdir}/kde4/keximigrate_mdb.so
%{_kde4_libdir}/kde4/keximigrate_txt.so
%{_kde4_datadir}/appdata/kexi.appdata.xml
%{_kde4_datadir}/applications/kde4/*kexi.desktop
%{_kde4_datadir}/config/kexirc
%{_kde4_datadir}/kde4/servicetypes/kexi*.desktop
%{_kde4_datadir}/kde4/services/calligra/kexicsv_importexporthandler.desktop
%{_kde4_datadir}/kde4/services/calligra/kexiformhandler.desktop
%{_kde4_datadir}/kde4/services/calligra/keximigrationhandler.desktop
%{_kde4_datadir}/kde4/services/calligra/kexiqueryhandler.desktop
%{_kde4_datadir}/kde4/services/calligra/kexireporthandler.desktop
%{_kde4_datadir}/kde4/services/calligra/kexiscripthandler.desktop
%{_kde4_datadir}/kde4/services/calligra/kexitablehandler.desktop
%{_kde4_datadir}/kde4/services/calligra/keximigrate_mdb.desktop
%{_kde4_datadir}/kde4/services/calligra/keximigrate_txt.desktop
%{_kde4_datadir}/kde4/services/calligra/kexidb_sqlite3driver.desktop
%{_kde4_datadir}/kde4/services/calligra/kformdesigner_containers.desktop
%{_kde4_datadir}/kde4/services/calligra/kformdesigner_kexidbfactory.desktop
%{_kde4_datadir}/kde4/services/calligra/kformdesigner_stdwidgets.desktop
%{_kde4_datadir}/kde4/services/calligra/kformdesigner_webbrowser.desktop
%{_kde4_docdir}/HTML/en/kexi/

%post kexi-libs -p /sbin/ldconfig
%postun kexi-libs -p /sbin/ldconfig

%files kexi-libs
%{_kde4_libdir}/libkexi*.so.*
%{_kde4_libdir}/libkformdesigner.so.*

%files kexi-driver-mysql
%{_kde4_libdir}/kde4/kexidb_mysqldriver.*
%{_kde4_libdir}/kde4/keximigrate_mysql.*
%{_kde4_datadir}/kde4/services/calligra/keximigrate_mysql.desktop
%{_kde4_datadir}/kde4/services/calligra/kexidb_mysqldriver.desktop

%if 0%{?postgresql}
%files kexi-driver-postgresql
%{_kde4_libdir}/kde4/kexidb_pqxxsqldriver.*
%{_kde4_libdir}/kde4/keximigrate_pqxx.*
%{_kde4_datadir}/kde4/services/calligra/kexidb_pqxxsqldriver.desktop
%{_kde4_datadir}/kde4/services/calligra/keximigrate_pqxx.desktop
%endif

%files kexi-driver-sybase
%{_kde4_libdir}/kde4/kexidb_sybasedriver.so
%{_kde4_libdir}/kde4/keximigrate_sybase.so
%{_kde4_datadir}/kde4/services/calligra/kexidb_sybasedriver.desktop
%{_kde4_datadir}/kde4/services/calligra/keximigrate_sybase.desktop

%if 0%{?marble}
%files kexi-map-form-widget
%{_kde4_libdir}/kde4/kformdesigner_mapbrowser.so
%{_kde4_datadir}/kde4/services/calligra/kformdesigner_mapbrowser.desktop
%endif

%files kexi-spreadsheet-import
%{_kde4_libdir}/kde4/keximigrate_spreadsheet.so
%{_kde4_datadir}/kde4/services/calligra/keximigrate_spreadsheet.desktop

%posttrans flow
update-desktop-database -q &> /dev/null ||:

%postun flow
if [ $1 -eq 0 ] ; then
update-desktop-database -q &> /dev/null ||:
fi

%files flow 
%doc flow/AUTHORS flow/CHANGE* flow/NOTES flow/README
%{_kde4_bindir}/calligraflow
%{_kde4_libdir}/libkdeinit4_calligraflow.so
%{_kde4_libdir}/kde4/*flow*.*
%if 0%{?visio}
%{_kde4_libdir}/kde4/calligra_filter_vsdx2odg.so
%{_kde4_datadir}/kde4/services/calligra/calligra_filter_vsdx2odg.desktop
%{_kde4_datadir}/kde4/services/flow_vsdx_thumbnail.desktop
%endif
%{_kde4_appsdir}/flow/
%{_kde4_configdir}/flow_stencils.knsrc
%{_kde4_datadir}/kde4/services/calligra/flow*.desktop
%if 0%{?wpd}
%{_kde4_datadir}/kde4/services/flow_wpg_thumbnail.desktop
%endif
%{_kde4_datadir}/applications/kde4/flow.desktop
%{_kde4_datadir}//appdata/flow.appdata.xml
%{_kde4_configdir}/flowrc
%{_kde4_datadir}/kde4/servicetypes/flow_dock.desktop
%{_kde4_datadir}/kde4/services/ServiceMenus/calligra/flow_print.desktop

%post flow-libs -p /sbin/ldconfig
%postun flow-libs -p /sbin/ldconfig

%files flow-libs
%{_kde4_libdir}/libflowprivate.so.*

%posttrans plan
update-desktop-database -q &> /dev/null ||:
%if 0%{?mpxj}
update-mime-database %{_datadir}/mime >& /dev/null
%endif

%postun plan
if [ $1 -eq 0 ] ; then
update-desktop-database -q &> /dev/null ||:
%if 0%{?mpxj}
update-mime-database %{_datadir}/mime >& /dev/null
%endif
fi

%files plan 
%doc plan/CHANGELOG plan/TODO
%{_kde4_bindir}/calligraplan
%{_kde4_bindir}/calligraplanwork
%{_kde4_configdir}/planrc
%{_kde4_configdir}/planworkrc
%{_kde4_libdir}/libkdeinit4_calligraplan.so
%{_kde4_libdir}/libkdeinit4_calligraplanwork.so
%{_kde4_libdir}/kde4/kplatorcpsscheduler.so
%{_kde4_libdir}/kde4/planpart.*
%{_kde4_libdir}/kde4/planworkpart.so
%{_kde4_libdir}/kde4/planicalexport.*
%{_kde4_libdir}/kde4/plankplatoimport.*
%{_kde4_libdir}/kde4/krossmoduleplan.so
%{_kde4_libdir}/kde4/plantjscheduler.so
%{_kde4_datadir}/kde4/servicetypes/plan_schedulerplugin.desktop
%{_kde4_datadir}/kde4/servicetypes/plan_viewplugin.desktop
%{_kde4_datadir}/kde4/services/calligra/krossmoduleplan.desktop
%if 0%{?mpxj}
%{_kde4_libdir}/kde4/planconvert/
%{_datadir}/mime/packages/calligra_planner_mpp.xml
%{_kde4_datadir}/kde4/services/calligra/calligra_filter_mpp2plan.desktop
%{_kde4_datadir}/kde4/services/calligra/calligra_filter_planner2plan.desktop
%endif
%{_kde4_appsdir}/plan/
%{_kde4_appsdir}/planwork/
%{_kde4_datadir}/config.kcfg/plansettings.kcfg
%{_kde4_datadir}/config.kcfg/planworksettings.kcfg
%{_kde4_datadir}/kde4/services/calligra/plan*.desktop
%{_kde4_datadir}/appdata/plan.appdata.xml
%{_kde4_datadir}/applications/kde4/plan.desktop
%{_kde4_datadir}/applications/kde4/planwork.desktop

%post plan-libs -p /sbin/ldconfig
%postun plan-libs -p /sbin/ldconfig

%files plan-libs
%{_kde4_libdir}/libplanprivate.so.*
%{_kde4_libdir}/libplanworkapp.so.*
%{_kde4_libdir}/libplanworkfactory.so.*
%{_kde4_libdir}/libcalligrakdgantt.so.*
%{_kde4_libdir}/libkplatokernel.so.*
%{_kde4_libdir}/libkplatoui.so.*
%{_kde4_libdir}/libkplatomodels.so.*
%{_kde4_libdir}/librcps_plan.so.*

%files qtquick
%dir %{_kde4_libdir}/calligra/imports/
%dir %{_kde4_libdir}/calligra/imports/org/
%dir %{_kde4_libdir}/calligra/imports/org/calligra/
%{_kde4_libdir}/calligra/imports/org/calligra/CalligraComponents/

%posttrans words
update-desktop-database -q &> /dev/null ||:

%postun words
if [ $1 -eq 0 ] ; then
update-desktop-database -q &> /dev/null ||:
fi

%files words
%{_kde4_bindir}/calligrawords
%{_kde4_configdir}/wordsrc
%{_kde4_libdir}/libkdeinit4_calligrawords.so
%{_kde4_libdir}/kde4/wordspart.*
%{_kde4_appsdir}/words/
%{_kde4_datadir}/templates/TextDocument.desktop
%{_kde4_datadir}/templates/.source/TextDocument.odt
%{_kde4_datadir}/appdata/words.appdata.xml
%{_kde4_datadir}/applications/kde4/calligrawords_ascii.desktop
%{_kde4_datadir}/applications/kde4/words.desktop
%{_kde4_datadir}/kde4/services/calligra/wordspart.desktop
%{_kde4_libdir}/kde4/calligra_filter_applixword2odt.so
%{_kde4_libdir}/kde4/calligra_filter_ascii2words.so
%{_kde4_libdir}/kde4/calligra_filter_doc2odt.so
%{_kde4_libdir}/kde4/calligra_filter_docx2odt.so
%{_kde4_libdir}/kde4/calligra_filter_html2ods.so
%{_kde4_libdir}/kde4/calligra_filter_odt2ascii.so
%{_kde4_libdir}/kde4/calligra_filter_odt2docx.so
%{_kde4_libdir}/kde4/calligra_filter_odt2epub2.so
%{_kde4_libdir}/kde4/calligra_filter_odt2html.so
%{_kde4_libdir}/kde4/calligra_filter_odt2mobi.so
%{_kde4_libdir}/kde4/calligra_filter_odt2wiki.so
%{_kde4_libdir}/kde4/calligra_filter_rtf2odt.so
%if 0%{?wpd}
%{_kde4_datadir}/kde4/services/calligra/calligra_filter_wpd2odt.desktop
%{_kde4_datadir}/kde4/services/calligra/calligra_filter_wpg2odg.desktop
%{_kde4_datadir}/kde4/services/calligra/calligra_filter_wpg2svg.desktop
%{_kde4_datadir}/kde4/services/calligra/calligra_filter_wps2odt.desktop
%{_kde4_libdir}/kde4/calligra_filter_wpd2odt.so
%{_kde4_libdir}/kde4/calligra_filter_wpg2odg.so
%{_kde4_libdir}/kde4/calligra_filter_wpg2svg.so
%{_kde4_libdir}/kde4/calligra_filter_wps2odt.so
%endif
%{_kde4_datadir}/kde4/services/calligra_filter_odt2wiki.desktop
%{_kde4_datadir}/kde4/services/calligra/calligra_filter_applixword2odt.desktop
%{_kde4_datadir}/kde4/services/calligra/calligra_filter_ascii2words.desktop
%{_kde4_datadir}/kde4/services/calligra/calligra_filter_doc2odt.desktop
%{_kde4_datadir}/kde4/services/calligra/calligra_filter_docx2odt.desktop
%{_kde4_datadir}/kde4/services/calligra/calligra_filter_html2ods.desktop
%{_kde4_datadir}/kde4/services/calligra/calligra_filter_odt2ascii.desktop
%{_kde4_datadir}/kde4/services/calligra/calligra_filter_odt2docx.desktop
%{_kde4_datadir}/kde4/services/calligra/calligra_filter_odt2epub2.desktop
%{_kde4_datadir}/kde4/services/calligra/calligra_filter_odt2html.desktop
%{_kde4_datadir}/kde4/services/calligra/calligra_filter_odt2mobi.desktop
%{_kde4_datadir}/kde4/services/calligra/calligra_filter_rtf2odt.desktop
%{_kde4_datadir}/kde4/services/words_*_thumbnail.desktop
%{_kde4_datadir}/kde4/services/ServiceMenus/calligra/words_print.desktop

%post words-libs -p /sbin/ldconfig
%postun words-libs -p /sbin/ldconfig

%files words-libs
%{_kde4_libdir}/libwordsprivate.so.*

%if 0%{?okular}
%files okular-odpgenerator
%{_kde4_libdir}/kde4/okularGenerator_odp.so
%{_kde4_datadir}/applications/kde4/okularApplication_odp.desktop
%{_kde4_datadir}/kde4/services/libokularGenerator_odp.desktop
%{_kde4_datadir}/kde4/services/okularOdp.desktop

%files okular-odtgenerator
%{_kde4_libdir}/kde4/okularGenerator_odt.so
%{_kde4_datadir}/applications/kde4/okularApplication_doc_calligra.desktop
%{_kde4_datadir}/applications/kde4/okularApplication_docx_calligra.desktop
%{_kde4_datadir}/applications/kde4/okularApplication_odt.desktop
%{_kde4_datadir}/kde4/services/libokularGenerator_doc_calligra.desktop
%{_kde4_datadir}/kde4/services/libokularGenerator_docx_calligra.desktop
%{_kde4_datadir}/kde4/services/okularDoc_calligra.desktop
%{_kde4_datadir}/kde4/services/okularDocx_calligra.desktop
%{_kde4_datadir}/kde4/services/libokularGenerator_odt.desktop
%{_kde4_datadir}/kde4/services/okularOdt.desktop
%if 0%{?wpd}
%{_kde4_datadir}/applications/kde4/okularApplication_wpd_calligra.desktop
%{_kde4_datadir}/kde4/services/libokularGenerator_wpd_calligra.desktop
%{_kde4_datadir}/kde4/services/okularWpd_calligra.desktop
%endif
%endif

%files semanticitems
%{_kde4_libdir}/kde4/calligra_semanticitem_contact.so
%{_kde4_libdir}/kde4/calligra_semanticitem_event.so
%{_kde4_datadir}/kde4/services/calligra/calligra_semanticitem_contact.desktop
%{_kde4_datadir}/kde4/services/calligra/calligra_semanticitem_event.desktop
%{_kde4_datadir}/kde4/servicetypes/calligra_semanticitem.desktop
%{_kde4_libdir}/kde4/calligra_semanticitem_location.so
%{_kde4_datadir}/kde4/services/calligra/calligra_semanticitem_location.desktop


%changelog
* Wed Apr 25 2018 Rex Dieter <rdieter@fedoraproject.org> - 2.9.10-2
- branch rebuild

* Wed Dec 09 2015 Rex Dieter <rdieter@fedoraproject.org> 2.9.10-1
- 2.9.10

* Fri Nov 06 2015 Rex Dieter <rdieter@fedoraproject.org> 2.9.9-1
- 2.9.9

* Wed Oct 28 2015 David Tardon <dtardon@redhat.com> - 2.9.8-3
- rebuild for ICU 56.1

* Fri Oct 16 2015 Rex Dieter <rdieter@fedoraproject.org> 2.9.8-2
- kexi-map-form-widget: drop hard-coded marble dep

* Tue Oct 13 2015 Rex Dieter <rdieter@fedoraproject.org> 2.9.8-1
- 2.9.8

* Sun Sep 20 2015 Rex Dieter <rdieter@fedoraproject.org> 2.9.7-2
- rebuild (marble)

* Thu Sep 03 2015 Rex Dieter <rdieter@fedoraproject.org> 2.9.7-1
- 2.9.7 (#1241726)

* Tue Sep 01 2015 Rex Dieter <rdieter@fedoraproject.org> 2.9.6-9
- rebuild (marble)

* Thu Aug 27 2015 Jonathan Wakely <jwakely@redhat.com> - 2.9.6-8
- Rebuilt for Boost 1.59

* Mon Aug 10 2015 Rex Dieter <rdieter@fedoraproject.org> 2.9.6-7
- (re)enable pstoedit support, bug #1183335 fixed

* Tue Aug 04 2015 Rex Dieter <rdieter@fedoraproject.org> 2.9.6-6
- kexi: Requires: kate-part (epel7)

* Wed Jul 29 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.9.6-5
- Rebuilt for https://fedoraproject.org/wiki/Changes/F23Boost159

* Tue Jul 28 2015 Rex Dieter <rdieter@fedoraproject.org> 2.9.6-4
- pull in minor/cosmetic upstream commits (version, .desktop validation)

* Wed Jul 22 2015 David Tardon <dtardon@redhat.com> - 2.9.6-3
- rebuild for Boost 1.58

* Wed Jul 22 2015 Marek Kasik <mkasik@redhat.com> 2.9.6-2
- Rebuild (poppler-0.34.0)

* Tue Jul 14 2015 Rex Dieter <rdieter@fedoraproject.org> 2.9.6-1
- 2.9.6 (#1241726)

* Wed Jun 24 2015 Rex Dieter <rdieter@fedoraproject.org> - 2.9.5-3
- rebuild (exiv2)

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.9.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Tue Jun 09 2015 Rex Dieter <rdieter@fedoraproject.org> 2.9.5-1
- 2.9.5 (#1228439), libwps-0.4 support f23+ only

* Sat Jun 06 2015 David Tardon <dtardon@redhat.com> - 2.9.4-5
- enable Apple Keynote import
- adapt to libwps 0.4

* Fri Jun  5 2015 Marek Kasik <mkasik@redhat.com> 2.9.4-4
- Rebuild (poppler-0.33.0)

* Fri May 22 2015 Rex Dieter <rdieter@fedoraproject.org> 2.9.4-3
- rebuild (libwps)

* Thu May 07 2015 Rex Dieter <rdieter@fedoraproject.org> 2.9.4-2
- -qtquick subpkg, -kexi: move kexirelationdesignshape here

* Thu May 07 2015 Rex Dieter <rdieter@fedoraproject.org> 2.9.4-1
- 2.9.4, BR: s/marble-devel/marble-widget-devel/

* Mon Apr 20 2015 Rex Dieter <rdieter@fedoraproject.org> 2.9.2-4
- kexi-libs: Requires: kate4-part (#1213229, kde#346373)

* Sun Apr 19 2015 Rex Dieter <rdieter@fedoraproject.org> 2.9.2-3
- rebuild (marble)

* Mon Apr 06 2015 Rex Dieter <rdieter@fedoraproject.org> 2.9.2-2
- backport "fix csv import" (kde#344718)

* Fri Apr 03 2015 Rex Dieter <rdieter@fedoraproject.org> 2.9.2-1
- 2.9.2

* Sun Mar 15 2015 Rex Dieter <rdieter@fedoraproject.org> 2.9.1-1
- calligra-2.9.1 (#1202153)

* Fri Mar 13 2015 Rex Dieter <rdieter@fedoraproject.org> 2.9.0-4
- -core: move kexirelationdesignshape plugin here (to match the .desktop file)

* Mon Mar 09 2015 Rex Dieter <rdieter@fedoraproject.org> 2.9.0-3
- rebuild (GraphicsMagick)

* Sun Mar 01 2015 Rex Dieter <rdieter@fedoraproject.org> 2.9.0-2
- rebuild

* Thu Feb 26 2015 Rex Dieter <rdieter@fedoraproject.org> 2.9.0-1
- 2.9.0

* Thu Feb 26 2015 Rex Dieter <rdieter@fedoraproject.org> 2.8.7-10
- rebuild (gcc5)

* Wed Feb 04 2015 Petr Machata <pmachata@redhat.com> - 2.8.7-9
- Bump for rebuild.

* Sun Feb 01 2015 Rex Dieter <rdieter@fedoraproject.org> 2.8.7-8
- don't own %%_datadir/appdata (#1188049)

* Tue Jan 27 2015 Petr Machata <pmachata@redhat.com> - 2.8.7-7
- Rebuild for boost 1.57.0

* Tue Jan 27 2015 Petr Machata <pmachata@redhat.com> - 2.8.7-6
- Rebuild for boost 1.57.0

* Fri Jan 23 2015 Marek Kasik <mkasik@redhat.com> 2.8.7-5
- Rebuild (poppler-0.30.0)

* Sun Jan 18 2015 Rex Dieter <rdieter@fedoraproject.org> 2.8.7-4
- kde-applications fixes
- disable pstoedit support on f22+ (#1183335)

* Sun Dec 21 2014 Rex Dieter <rdieter@fedoraproject.org> 2.8.7-3
- move libcalligradb to -libs, libkoreport now depends on it (#1176398)

* Wed Dec 10 2014 Rex Dieter <rdieter@fedoraproject.org> 2.8.7-2
- rebuild (marble)

* Fri Dec 05 2014 Rex Dieter <rdieter@fedoraproject.org> 2.8.7-1
- 2.8.7
- -core: +Requires: calligra-l10n

* Thu Nov 27 2014 Marek Kasik <mkasik@redhat.com> 2.8.6-3
- Rebuild (poppler-0.28.1)

* Wed Nov 26 2014 Rex Dieter <rdieter@fedoraproject.org> 2.8.6-2
- rebuild (openexr)

* Mon Sep 22 2014 Rex Dieter <rdieter@fedoraproject.org> 2.8.6-1
- 2.8.6

* Tue Aug 26 2014 David Tardon <dtardon@redhat.com> - 2.8.5-6
- rebuild for ICU 53.1

* Fri Aug 15 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.8.5-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Fri Aug 15 2014 Rex Dieter <rdieter@fedoraproject.org> 2.8.5-4
- rebuild (okular)

* Wed Aug 06 2014 Rex Dieter <rdieter@fedoraproject.org> 2.8.5-3
- rebuild (kde-4.13.97)

* Mon Jul 14 2014 Rex Dieter <rdieter@fedoraproject.org> 2.8.5-2
- rebuild (marble)

* Sun Jul 06 2014 Rex Dieter <rdieter@fedoraproject.org> 2.8.5-1
- 2.8.5

* Thu Jul 03 2014 Rex Dieter <rdieter@fedoraproject.org> 2.8.4-2
- optimize mimeinfo scriptlet

* Tue Jun 24 2014 Rex Dieter <rdieter@fedoraproject.org> 2.8.4-1
- 2.8.4

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.8.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue May 27 2014 David Tardon <dtardon@redhat.com> - 2.8.3-3
- switch to librevenge-based import libs

* Thu May 22 2014 Petr Machata <pmachata@redhat.com> - 2.8.3-2
- Rebuild for boost 1.55.0

* Thu May 15 2014 Rex Dieter <rdieter@fedoraproject.org> 2.8.3-1
- 2.8.3

* Tue May 13 2014 Marek Kasik <mkasik@redhat.com> 2.8.2-4
- Rebuild (poppler-0.26.0)

* Fri May 09 2014 Rex Dieter <rdieter@fedoraproject.org> 2.8.2-3
- fix dep on marble-part (no epoch)

* Wed May 07 2014 Rex Dieter <rdieter@fedoraproject.org> 2.8.2-2
- okular-odpgenerator: Requires: okular-part
- reports-map-element: Requires: marble-part

* Wed Apr 16 2014 Rex Dieter <rdieter@fedoraproject.org> 2.8.2-1
- 2.8.2

* Fri Apr 04 2014 Rex Dieter <rdieter@fedoraproject.org> 2.8.1-3
- rebuild (okular)

* Sat Mar 29 2014 Rex Dieter <rdieter@fedoraproject.org> 2.8.1-2
- respin tarball (omitting typo)

* Tue Mar 25 2014 Rex Dieter <rdieter@fedoraproject.org> 2.8.1-1
- 2.8.1

* Thu Mar 20 2014 Rex Dieter <rdieter@fedoraproject.org> 2.8.0-2
- rebuild (kde-4.13)

* Sun Mar 02 2014 Rex Dieter <rdieter@fedoraproject.org> 2.8.0-1
- 2.8.0

* Wed Feb 12 2014 Rex Dieter <rdieter@fedoraproject.org> 2.7.92-2
- rebuild (libicu)

* Sun Feb 09 2014 Rex Dieter <rdieter@fedoraproject.org> 2.7.92-1
- 2.7.92

* Mon Jan 13 2014 Rex Dieter <rdieter@fedoraproject.org> 2.7.91-1
- 2.7.91
- BR: +libodfgen-devel -OpenGTL-devel

* Mon Dec 16 2013 Rex Dieter <rdieter@fedoraproject.org> 2.7.90-3
- krita: fix handling of unversioned libkritasketchlib.so

* Sun Dec 15 2013 Rex Dieter <rdieter@fedoraproject.org> 2.7.90-2
- enable use of libpqxx-4.x

* Fri Dec 13 2013 Rex Dieter <rdieter@fedoraproject.org> 2.7.90-1
- 2.7.90

* Tue Dec 03 2013 Rex Dieter <rdieter@fedoraproject.org> - 2.7.5-2
- rebuild (exiv2)

* Wed Nov 27 2013 Rex Dieter <rdieter@fedoraproject.org> 2.7.5-1
- calligra-2.7.5

* Mon Nov 18 2013 Dave Airlie <airlied@redhat.com> - 2.7.4-3
- rebuilt for GLEW 1.10

* Sat Nov 16 2013 Rex Dieter <rdieter@fedoraproject.org> 2.7.4-2
- rebuild (kde-4.12)

* Sat Oct 12 2013 Rex Dieter <rdieter@fedoraproject.org> 2.7.4-1
- calligra-2.7.4

* Fri Sep 20 2013 Rex Dieter <rdieter@fedoraproject.org> 2.7.3-1
- calligra-2.7.3 (#951003)

* Sun Sep 08 2013 Rex Dieter <rdieter@fedoraproject.org> 2.7.2-3
- rebuild (openexr)

* Thu Sep 05 2013 Rex Dieter <rdieter@fedoraproject.org> 2.7.2-2
- rebuild (for libkdcraw-4.11.x)

* Fri Aug 23 2013 Rex Dieter <rdieter@fedoraproject.org> 2.7.2-1
- calligra-2.7.2 (#951003)

* Mon Aug 19 2013 Marek Kasik <mkasik@redhat.com> 2.7.1-2
- Rebuild (poppler-0.24.0)

* Wed Jul 31 2013 Rex Dieter <rdieter@fedoraproject.org> 2.7.1-1
- 2.7.1

* Tue Jul 30 2013 Petr Machata <pmachata@redhat.com> - 2.7.0-3
- Rebuild for boost 1.54.0

* Sat Jul 20 2013 Rex Dieter <rdieter@fedoraproject.org> 2.7.0-2
- fix arm FTBFS (qreal_double.patch courtesy of kubuntu)

* Fri Jul 19 2013 Rex Dieter <rdieter@fedoraproject.org> 2.7.0-1
- 2.7.0

* Sat Jun 29 2013 Rex Dieter <rdieter@fedoraproject.org> 2.6.92-1
- 2.6.92

* Mon Jun 24 2013 Marek Kasik <mkasik@redhat.com> 2.6.4-2
- Rebuild (poppler-0.22.5)

* Thu May 30 2013 Rex Dieter <rdieter@fedoraproject.org> 2.6.4-1
- 2.6.4 (#951003)

* Thu Apr 11 2013 Rex Dieter <rdieter@fedoraproject.org> 2.6.3-1
- 2.6.3

* Tue Mar 26 2013 Rex Dieter <rdieter@fedoraproject.org> 2.6.2-4
- explicitly omit bundled Arev fonts

* Sat Mar 23 2013 Rex Dieter <rdieter@fedoraproject.org> 2.6.2-3
- cannot display formulas (kde#317195)

* Mon Mar 18 2013 Rex Dieter <rdieter@fedoraproject.org> 2.6.2-2
- rebuild (OpenGTL)

* Mon Mar 11 2013 Rex Dieter <rdieter@fedoraproject.org> 2.6.2-1
- 2.6.2

* Sun Mar 10 2013 Rex Dieter <rdieter@fedoraproject.org> - 2.6.1-3
- rebuild (OpenEXR)

* Mon Mar 04 2013 Rex Dieter <rdieter@fedoraproject.org> 2.6.1-2.1
- rebuild (f18/marble)

* Tue Feb 19 2013 Rex Dieter <rdieter@fedoraproject.org> 2.6.1-2
- rebuild (OpenGTL/llvm)

* Mon Feb 18 2013 Rex Dieter <rdieter@fedoraproject.org> 2.6.1-1
- 2.6.1

* Mon Feb 04 2013 Rex Dieter <rdieter@fedoraproject.org> 2.6.0-1
- 2.6.0

* Sat Jan 26 2013 Rex Dieter <rdieter@fedoraproject.org> 2.5.93-4
- rebuild (icu)

* Fri Jan 18 2013 Adam Tkac <atkac redhat com> - 2.5.93-3
- rebuild due to "jpeg8-ABI" feature drop

* Fri Jan 18 2013 Marek Kasik <mkasik@redhat.com> 2.5.93-2
- Rebuild (poppler-0.22.0)

* Sat Jan 05 2013 Rex Dieter <rdieter@fedoraproject.org> 2.5.93-1
- 2.5.93

* Thu Dec 13 2012 Adam Jackson <ajax@redhat.com> - 2.5.92-3
- Rebuild for glew 1.9.0

* Tue Dec 04 2012 Rex Dieter <rdieter@fedoraproject.org> 2.5.92-2
- rebuild (marble)

* Wed Nov 28 2012 Rex Dieter <rdieter@fedoraproject.org> 2.5.92-1
- 2.5.92

* Wed Oct 24 2012 Rex Dieter <rdieter@fedoraproject.org> 2.5.91-1
- 2.5.91

* Mon Oct 08 2012 Rex Dieter <rdieter@fedoraproject.org> 2.5.3-1
- 2.5.3

* Sat Sep 08 2012 Rex Dieter <rdieter@fedoraproject.org> 2.5.2-1
- 2.5.2

* Wed Aug 29 2012 Rex Dieter <rdieter@fedoraproject.org> 2.5.1-1
- 2.5.1

* Sun Aug 26 2012 Rex Dieter <rdieter@fedoraproject.org> 2.5.0-3
- calligra is FTBFS on ARM, qreal = float (bug #851851)

* Tue Aug 07 2012 Rex Dieter <rdieter@fedoraproject.org> 2.5.0-2
- respin

* Sat Aug 04 2012 Rex Dieter <rdieter@fedoraproject.org> 2.5.0-1
- 2.5.0

* Fri Jul 27 2012 Rex Dieter <rdieter@fedoraproject.org> 2.4.92-4
- rebuild (glew)

* Thu Jul 19 2012 Dan Horák <dan[at]danny.cz> 2.4.92-3
- OpenGTL is missing on s390(x)

* Wed Jul 18 2012 Rex Dieter <rdieter@fedoraproject.org> 2.4.92-2
- BR: libvisio-devel

* Sat Jul 14 2012 Rex Dieter <rdieter@fedoraproject.org> 2.4.92-1
- calligra-2.4.92

* Mon Jul  2 2012 Marek Kasik <mkasik@redhat.com> - 2.4.91-3
- Rebuild (poppler-0.20.1)

* Sun Jun 17 2012 Rex Dieter <rdieter@fedoraproject.org> 2.4.91-2
- tarball respin

* Fri Jun 15 2012 Rex Dieter <rdieter@fedoraproject.org> 2.4.91-1
- calligra-2.4.91

* Wed Jun 06 2012 Rex Dieter <rdieter@fedoraproject.org> 2.4.90-2
- fix kexi-map-form-widget Requires/Obsoletes logic

* Tue May 29 2012 Jaroslav Reznik <jreznik@redhat.com> 2.4.90-1
- calligra-2.4.90

* Sat May 26 2012 Rex Dieter <rdieter@fedoraproject.org> 2.4.2-1
- calligra-2.4.2

* Wed May 16 2012 Marek Kasik <mkasik@redhat.com> - 2.4.1-4
- Rebuild (poppler-0.20.0)

* Mon May 07 2012 Rex Dieter <rdieter@fedoraproject.org> 2.4.1-3
- segfault when opening a new doc / new from template (#819371)

* Wed May 02 2012 Rex Dieter <rdieter@fedoraproject.org> - 2.4.1-2
- rebuild (exiv2)

* Sat Apr 21 2012 Rex Dieter <rdieter@fedoraproject.org> 2.4.1-1
- 2.4.1

* Fri Apr 20 2012 Rex Dieter <rdieter@fedoraproject.org> 2.4.0-4
- manifest file corrupted (#814643, kde#298134)

* Mon Apr 16 2012 Rex Dieter <rdieter@fedoraproject.org> 2.4.0-3
- -sheets: Provides: -tables

* Sun Apr 08 2012 Rex Dieter <rdieter@fedoraproject.org> 2.4.0-2
- -core/-libs: tighten subpkg deps

* Sat Apr 07 2012 Rex Dieter <rdieter@fedoraproject.org> 2.4.0-1
- 2.4.0
- Obsoletes: -map-shape (dropped since rc2)

* Sat Mar 17 2012 Rex Dieter <rdieter@fedoraproject.org> 2.3.92-1
- 2.3.92 (2.4rc2)
- rename -tables => -sheets

* Sat Mar 03 2012 Rex Dieter <rdieter@fedoraproject.org> 2.3.91-1
- 2.3.91 (2.4rc1)

* Sat Feb 11 2012 Rex Dieter <rdieter@fedoraproject.org> 2.3.87-4
- upstream krita_fitscreen patch (#788327)

* Wed Feb 08 2012 Rex Dieter <rdieter@fedoraproject.org> 2.3.87-3
- -braindump: move stateshape here

* Tue Jan 31 2012 Rex Dieter <rdieter@fedoraproject.org> 2.3.87-2
- -kexi: fix error in %%postun scriptlet

* Sat Jan 28 2012 Rex Dieter <rdieter@fedoraproject.org> 2.3.87-1
- 2.3.87

* Thu Jan 12 2012 Rex Dieter <rdieter@fedoraproject.org> 2.3.86-3
- %%build: -DBUILD_cstester:BOOL=OFF
- drop -filters

* Thu Jan 12 2012 Rex Dieter <rdieter@fedoraproject.org> 2.3.86-2
- rename kexi-driver-pgsql -> kexi-driver-postgresql
- kexi-driver-sybase subpkg
- kexi-map-form-widget, map-shape, reports-map-elemement subpkgs (with marble deps)

* Tue Jan 10 2012 Rex Dieter <rdieter@fedoraproject.org> 2.3.86-1
- 2.3.86
- License: +LGPLv2+
- drop Obsoletes: koffice-kivio

* Thu Aug 18 2011 Rex Dieter <rdieter@fedoraproject.org> 2.3.74-2
- fix Obsoletes: -kformula

* Mon Aug 15 2011 Rex Dieter <rdieter@fedoraproject.org> 2.3.74-1
- 2.3.74
- kformula dropped (upstream)

* Fri Jun 17 2011 Rex Dieter <rdieter@fedoraproject.org> 2.3.72-2
- fix URL
- Obsoletes: koffice < 3:2.3.70

* Thu Jun 16 2011 Rex Dieter <rdieter@fedoraproject.org> 2.3.72-1
- 2.3.72 (first try)

