%global srcname subvertpy
%global sum Python bindings for Subversion

%filter_setup

Name:           python-%{srcname}
Version:        0.9.2
Release:        1%{?dist}
Summary:        %{sum}

License:        LGPLv2+
URL:            http://samba.org/~jelmer/subvertpy/
Source0:        http://samba.org/~jelmer/%{srcname}/%{srcname}-%{version}.tar.gz

BuildRequires:  python2-devel
BuildRequires:  python3-devel
BuildRequires:  subversion-devel
BuildRequires:  python2-nose
BuildRequires:  python3-nose

%description
Alternative Python bindings for Subversion, split out from bzr-svn.
The goal is to have complete, portable and "Pythonic" Python bindings.

%package -n python2-%{srcname}
Summary:        %{sum}
%{?python_provide:%python_provide python2-%{srcname}}

%description -n python2-%{srcname}
Alternative Python bindings for Subversion, split out from bzr-svn.
The goal is to have complete, portable and "Pythonic" Python bindings.

%package -n python3-%{srcname}
Summary:        %{sum}
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname}
Alternative Python bindings for Subversion, split out from bzr-svn.
The goal is to have complete, portable and "Pythonic" Python bindings.

%prep
%autosetup -n %{srcname}-%{version}
chmod -x examples/ra_*.py

%build
%py2_build
%py3_build

%install
%py2_install
%py3_install
 
#%check
#cd build/*/subvertpy/tests
#PYTHONPATH=.. nosetests test*.py

%files -n python2-%{srcname}
%doc AUTHORS NEWS TODO examples/
%license COPYING
%{python2_sitelib}/%{srcname}/
%{python2_sitelib}/%{srcname}*.egg-info
%exclude %{python2_sitearch}/%{srcname}/tests

%files -n python3-%{srcname}
%doc AUTHORS NEWS TODO examples/
%license COPYING
%{python3_sitelib}/%{srcname}/
%{python3_sitelib}/%{srcname}*.egg-info
%exclude %{python_sitearch3}/%{srcname}/tests

%changelog
* Sun Nov 15 2015  Fabian Affolter <mail@fabian-affolter.ch> - 0.9.2-1
- Cleanup and py3
- Update to new upstream release 0.9.2

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed Feb 26 2014 Fabian Affolter <mail@fabian-affolter.ch> - 0.9.1-3
- Update spec file

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sat Jun 15 2013 Fabian Affolter <mail@fabian-affolter.ch> - 0.9.1-1
- Update to new upstream release 0.9.1

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Nov 10 2012 Fabian Affolter <mail@fabian-affolter.ch> - 0.9.0-1
- Update to new upstream release 0.9.0

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.10-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sun Mar 04 2012 Fabian Affolter <mail@fabian-affolter.ch> - 0.8.10-1
- Updated to new upstream release 0.8.10

* Sat Nov 26 2011 Fabian Affolter <mail@fabian-affolter.ch> - 0.8.9-1
- Update to new upstream release 0.8.9

* Mon Oct 10 2011 Fabian Affolter <mail@fabian-affolter.ch> - 0.8.8-1
- Update to new upstream release 0.8.8

* Mon Sep 19 2011 Fabian Affolter <mail@fabian-affolter.ch> - 0.8.7-1
- Update to new upstream release 0.8.7

* Sat Aug 20 2011 Fabian Affolter <mail@fabian-affolter.ch> - 0.8.4-1
- Update to new upstream release 0.8.4

* Wed Jun 22 2011 Fabian Affolter <mail@fabian-affolter.ch> - 0.8.2-1
- Update to new upstream release 0.8.2

* Sun Mar 27 2011 Fabian Affolter <mail@fabian-affolter.ch> - 0.8.0-1
- Exclude the tests directory
- Update to new upstream version 0.8.0

* Thu Nov 25 2010 Fabian Affolter <mail@fabian-affolter.ch> - 0.7.5-2
- Check section fixed

* Sat Nov 20 2010 Fabian Affolter <mail@fabian-affolter.ch> - 0.7.5-1
- Change the filtering stuff to get rid of private-shared-object-provides
- Add the tests (at the moment all failed)
- Rename the package

* Fri Aug 20 2010 Fabian Affolter <mail@fabian-affolter.ch> - 0.7.3-1
- Update to new upstream release 0.7.3

* Mon Jun 28 2010 Fabian Affolter <mail@fabian-affolter.ch> - 0.7.2-1
- Initial package
